Subject: Re: Exim, .forward and DBD::Oracle
From: "Dmitry Melekhov" <[email-masked]>
To: "Martin Gainty" <[email-masked]>, "Harald Maier" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 13 Apr 2003 21:32:15 +0400

----- Original Message -----
From: "Martin Gainty" <[email-masked]>
To: "Dmitry Melekhov" <[email-masked]>; "Harald Maier" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, April 13, 2003 8:35 PM
Subject: Re: Exim, .forward and DBD::Oracle

> > Thank you!!!
> >
> Please display the solution.

Hmm. Now I have better solution.
Many thanks to Pierre A. Humblet!

User, which received e-mail and which has script in .forward
had gid 513 in /etc/passwd. After changing it to 545 (Users)
script works. Otherwise perl never ends - looks like security doesn't
allowed something to DBD::Oracle.
Certanly, this script worked from console, because id on console is
$ id
uid=1019(tabel) gid=513(Отсутствует)
groups=513(Отсутствует),545(Пользователи)

But when exim calls script id is:
uid=1019(tabel) gid=513(Отсутствует) groups=513(Отсутствует)

Unfortunately, initgroups doesn't help :-(
So, only solution is to set group to 545.

Another problem is with perl in cygwin.
On Linux I can set
$ENV{PATH} and $ENV{ORACLE_HOME} inside
perl script, but in cygwin I had to write shell script to call perl script:

#!/bin/sh
PATH=/cygdrive/c/oracle/ora81/bin ORACLE_HOME='c:\oracle\ora81'
/home/tabel/test.pl

or I received following error:

install_driver(Oracle) failed: Can't load
'/usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int/auto/DBD/Oracle/Oracle.dl
l' for module DBD::Oracle: dlopen: Win32 error 126 at
/usr/lib/perl5/5.8.0/cygwin-multi-64int/DynaLoader.pm line 232

if I try to call perl script from .forward.

This is thing I still don't understand. :-(

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/